Bump version number to 1.0.1 and set libtool version